mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

is a specialized collection object similar to a Thread Local Storage for method calls and provides data slots that are unique to each logical thread of execution. The slots are not shared across call contexts on other logical threads. Objects can be added to the as it travels down and back up the execution code path, and examined by various objects along the path.

When a remote method call is made to an object in another , the class generates a instance that travels along with the remote call. Only objects that expose the interface and are stored in the are propagated outside the in a . Objects that do not support this interface are not transmitted in instances with remote method calls.

All methods in are static and operate on the call context in the current .

This class makes a link demand. A SecurityException is thrown if the immediate caller does not have infrastructure permission. See [<topic://cpconLinkDemands>] for more information.

Provides a set of properties that are carried with the execution code path. This class cannot be inherited.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Empties a data slot with the specified name.

  The name of the data slot to empty.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Retrieves an object with the specified name from the .

  The object in the call context associated with the specified name.

  The name of the item in the call context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.Header[] To be added

  Returns the headers that are sent along with the method call.

  The headers that are sent along with the method call.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets or sets the host context associated with the current thread.

- Method
  2.0.0.0
  4.0.0.0
  System.Object `` To be added.

  Retrieves an object with the specified name from the logical call context.

  The object in the logical call context associated with the specified name.

  The name of the item in the logical call context.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Stores a given object in the logical call context and associates it with the specified name.

  The name with which to associate the new item in the logical call context. The object to store in the logical call context, this object must be serializable.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Stores a given object and associates it with the specified name.

  The name with which to associate the new item in the call context. The object to store in the call context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Sets the headers that are sent along with the method call.

  A array of the headers that are to be sent along with the method call.